import { ChangeEvent, CSSProperties, FocusOptions, Ref, SyntheticEvent } from 'react';
export type Dict<T = any> = Record<string, T>;
export type StringOrNumber = string | number;
export type PropGetter = (props?: Dict, forwardedRef?: any) => Dict;
type PossibleRef<T> = Ref<T> | undefined;
export declare function callAll<T extends (...args: any[]) => any>(...fns: Array<T | undefined | null>): (...args: Parameters<T>) => void;
export declare const callAllHandlers: typeof callAll;
export declare function dataAttr(condition: boolean | undefined): "" | undefined;
export declare function focus(element: HTMLElement | null | undefined, options?: FocusOptions & {
    nextTick?: boolean;
}): void;
export declare function mergeRefs<T>(...refs: PossibleRef<T>[]): (node: T | null) => void;
export declare function warn({ condition, message, }: {
    condition: boolean;
    message: string;
}): void;
export declare const visuallyHiddenStyle: CSSProperties;
export declare function addItem<T>(values: T[], item: T): T[];
export declare function isInputEvent(value: unknown): value is ChangeEvent<HTMLInputElement>;
export declare function stopEvent(event: SyntheticEvent): void;
export {};
